アクセラと+αな生活
アクセラとα350と共に過ごす気まぐれ日記です。
Firefox ブラウザ無料ダウンロード
2017年11月
≪10月  1  2  3  4  5  6  7  8  9  10  11  12  13  14  15  16  17  18  19  20  21  22  23  24  25  26  27  28  29  30    12月≫
スポンサーサイト
上記の広告は1ヶ月以上更新のないブログに表示されています。
新しい記事を書く事で広告が消せます。
Ubuntu 9.04 をアップグレードする。
OS のインストール後に OS のアップデート、つまりインストール済みのパッケージの更新を行いました。
VirtualBox へ Ubuntu をインストールしてみる。(その3)


久しぶりにパッケージのアップグレードをしてみます。


セキュリティホール、不具合改善が行われた新しいパッケージは最新版がサーバ上にアップされています。
ですので、OS 導入時には新しいパッケージを適用するのは当然(セキュリティホールや不具合がある状態のパッケージの使用は安全性にかけ、不具合対応に時間を浪費してしまいますからね)です。

本番稼動後に OS のアップグレードを行う場合は、今まで動いていたアプリケーションが違う動作、場合によっては動かなくなる可能性があるというリスク、アップグレード後の動作確認などを考慮し、アップグレードの有無を決める必要があります。
改善点の重要度を考慮し、個別でアップグレードすることをお勧めします。

【source.list】
Ubuntu では apt パッケージ管理ツールを使います。
apt はその設定ファイルである、「/etc/apt/sources.list」に登録された HTTP/FTP サーバを検索します。

sources.list に記載されたサーバにつながらないとか、特別に参照先を変える必要がある場合、この sources.list を編集することもあるでしょう。

どこに設定ファイルがあるかくらいは覚えておくといいかもww

【aptitude と apt-get】
Ubuntu では「aptitude」という「apt-get」を発展させた管理ツールがあります。
私の場合、「apt-get」を利用し、「apt-get」でインストールできなかったり、問題が発生する場合を除いて、「aptitude」は使ってません、あしからず。

まあ、VineLinux も「apt」でパッケージ管理をしてるので、頭の悪い私には「apt-get」しか憶えきれないだけだったりww

では、OS のアップデートをしてみましょうww
アップグレードは「apt-get upgrade」で行いますが、その前に「apt-get update」でパッケージリストを最新にしておきましょう。
「apt-get update」は「apt」を使う前に必ず行う「おまじない」みたいに思っておけばいいかもww

万が一に備え、OS のアップグレード前にバックアップは行っておくべきです。
ユーザの環境が全て同じではありませんので、アップグレードが必ず成功する保障はないですからね。
不具合があった場合、対応パッケージがリリースされるまで待たないといけませんからね。。。><;

$ sudo apt-get update
[sudo] password for xxxxxx:
Get:1 http://archive.ubuntulinux.jp jaunty Release.gpg [307B]
Hit http://archive.ubuntulinux.jp jaunty-non-free/ Release.gpg
Hit http://jp.archive.ubuntu.com jaunty Release.gpg
Hit http://jp.archive.ubuntu.com jaunty-updates Release.gpg
Get:2 http://archive.ubuntulinux.jp jaunty Release [74.7kB]
Hit http://jp.archive.ubuntu.com jaunty Release
Hit http://jp.archive.ubuntu.com jaunty-updates Release
Hit http://archive.ubuntulinux.jp jaunty-non-free/ Release
Hit http://jp.archive.ubuntu.com jaunty/main Packages
Hit http://jp.archive.ubuntu.com jaunty/restricted Packages
Hit http://jp.archive.ubuntu.com jaunty/main Sources
Hit http://jp.archive.ubuntu.com jaunty/restricted Sources
Hit http://security.ubuntu.com jaunty-security Release.gpg
Hit http://jp.archive.ubuntu.com jaunty/universe Packages
Hit http://jp.archive.ubuntu.com jaunty/universe Sources
Hit http://jp.archive.ubuntu.com jaunty/multiverse Packages
Hit http://jp.archive.ubuntu.com jaunty/multiverse Sources
Hit http://jp.archive.ubuntu.com jaunty-updates/main Packages
Hit http://jp.archive.ubuntu.com jaunty-updates/restricted Packages
Hit http://jp.archive.ubuntu.com jaunty-updates/main Sources
Hit http://jp.archive.ubuntu.com jaunty-updates/restricted Sources
Hit http://jp.archive.ubuntu.com jaunty-updates/universe Packages
Hit http://jp.archive.ubuntu.com jaunty-updates/universe Sources
Hit http://archive.ubuntulinux.jp jaunty/main Packages
Hit http://jp.archive.ubuntu.com jaunty-updates/multiverse Packages
Hit http://jp.archive.ubuntu.com jaunty-updates/multiverse Sources
Ign http://archive.ubuntulinux.jp jaunty-non-free/ Packages
Hit http://archive.ubuntulinux.jp jaunty-non-free/ Packages
Hit http://security.ubuntu.com jaunty-security Release
Hit http://security.ubuntu.com jaunty-security/main Packages
Hit http://security.ubuntu.com jaunty-security/restricted Packages
Hit http://security.ubuntu.com jaunty-security/main Sources
Hit http://security.ubuntu.com jaunty-security/restricted Sources
Hit http://security.ubuntu.com jaunty-security/universe Packages
Hit http://security.ubuntu.com jaunty-security/universe Sources
Hit http://security.ubuntu.com jaunty-security/multiverse Packages
Hit http://security.ubuntu.com jaunty-security/multiverse Sources
Fetched 75.0kB in 2s (36.7kB/s)
Reading package lists... Done

$ sudo apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages have been kept back:
linux-generic linux-headers-generic linux-image-generic linux-restricted-modules-generic
The following packages will be upgraded:
app-install-data-partner kdelibs-bin kdelibs-data kdelibs4c2a kdelibs5 kdelibs5-data
libgl1-mesa-dri libgl1-mesa-glx libglu1-mesa libgnutls26 libmono-cairo2.0-cil
libmono-corlib2.0-cil libmono-data-tds2.0-cil libmono-data2.0-cil libmono-getoptions2.0-cil
libmono-i18n2.0-cil libmono-posix2.0-cil libmono-security2.0-cil libmono-sharpzip2.84-cil
libmono-sqlite2.0-cil libmono-system-data2.0-cil libmono-system-web2.0-cil
libmono-system2.0-cil libmono0 libmono2.0-cil libplasma3 libpurple-bin libpurple0
libvorbis0a libvorbisenc2 libvorbisfile3 linux-libc-dev
linux-restricted-modules-common mesa-utils mono-2.0-gac mono-2.0-runtime
mono-common mono-gac mono-jit mono-runtime pidgin pidgin-data python-gobject tzdata
44 upgraded, 0 newly installed, 0 to remove and 4 not upgraded.
Need to get 48.6MB of archives.
After this operation, 57.3kB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://jp.archive.ubuntu.com jaunty-updates/main
libgl1-mesa-dri 7.4-0ubuntu3.2 [2728kB]
Get:2 http://archive.ubuntulinux.jp jaunty/main
libpurple-bin 1:2.5.5-1ubuntu9~ja5 [97.2kB]
Get:3 http://archive.ubuntulinux.jp jaunty/main
pidgin-data 1:2.5.5-1ubuntu9~ja5 [7199kB]
Get:4 http://jp.archive.ubuntu.com jaunty-updates/main
libgl1-mesa-glx 7.4-0ubuntu3.2 [114kB]
Get:5 http://jp.archive.ubuntu.com jaunty-updates/main
libplasma3 4:4.2.2-0ubuntu5.1 [570kB]
Get:6 http://jp.archive.ubuntu.com jaunty-updates/main
kdelibs5-data 4:4.2.2-0ubuntu5.1 [1991kB]
Get:7 http://jp.archive.ubuntu.com jaunty-updates/main
kdelibs-bin 4:4.2.2-0ubuntu5.1 [269kB]
Get:8 http://jp.archive.ubuntu.com jaunty-updates/main
kdelibs5 4:4.2.2-0ubuntu5.1 [6776kB]
Get:9 http://archive.ubuntulinux.jp jaunty/main
libpurple0 1:2.5.5-1ubuntu9~ja5 [1590kB]
Get:10 http://jp.archive.ubuntu.com jaunty-updates/main
libglu1-mesa 7.4-0ubuntu3.2 [179kB]
Get:11 http://jp.archive.ubuntu.com jaunty-updates/main
mesa-utils 7.4-0ubuntu3.2 [44.4kB]
Get:12 http://jp.archive.ubuntu.com jaunty-updates/main
tzdata 2009l-0ubuntu0.9.04 [694kB]
Get:13 http://jp.archive.ubuntu.com jaunty-updates/main
libgnutls26 2.4.2-6ubuntu0.1 [370kB]
Get:14 http://jp.archive.ubuntu.com jaunty-updates/main
app-install-data-partner 11.9.04.4 [52.8kB]
Get:15 http://jp.archive.ubuntu.com jaunty-updates/main
kdelibs-data 4:3.5.10.dfsg.1-1ubuntu8.1 [6752kB]
Get:16 http://archive.ubuntulinux.jp jaunty/main pidgin
1:2.5.5-1ubuntu9~ja5 [520kB]
Get:17 http://jp.archive.ubuntu.com jaunty-updates/main
kdelibs4c2a 4:3.5.10.dfsg.1-1ubuntu8.1 [10.0MB]
Get:18 http://jp.archive.ubuntu.com jaunty-updates/main
mono-runtime 2.0.1-4ubuntu0.1 [29.6kB]
Get:19 http://jp.archive.ubuntu.com jaunty-updates/main
mono-2.0-runtime 2.0.1-4ubuntu0.1 [29.6kB]
Get:20 http://jp.archive.ubuntu.com jaunty-updates/main
mono-jit 2.0.1-4ubuntu0.1 [924kB]
Get:21 http://jp.archive.ubuntu.com jaunty-updates/main
mono-common 2.0.1-4ubuntu0.1 [121kB]
Get:22 http://jp.archive.ubuntu.com jaunty-updates/main
libmono0 2.0.1-4ubuntu0.1 [1047kB]
Get:23 http://jp.archive.ubuntu.com jaunty-updates/main
libmono-system2.0-cil 2.0.1-4ubuntu0.1 [1498kB]
Get:24 http://jp.archive.ubuntu.com jaunty-updates/main
libmono-security2.0-cil 2.0.1-4ubuntu0.1 [145kB]
Get:25 http://jp.archive.ubuntu.com jaunty-updates/main
mono-gac 2.0.1-4ubuntu0.1 [34.7kB]
Get:26 http://jp.archive.ubuntu.com jaunty-updates/main
mono-2.0-gac 2.0.1-4ubuntu0.1 [42.6kB]
Get:27 http://jp.archive.ubuntu.com jaunty-updates/main
libmono-corlib2.0-cil 2.0.1-4ubuntu0.1 [912kB]
Get:28 http://jp.archive.ubuntu.com jaunty-updates/main
libmono-cairo2.0-cil 2.0.1-4ubuntu0.1 [51.2kB]
Get:29 http://jp.archive.ubuntu.com jaunty-updates/main
libmono-data-tds2.0-cil 2.0.1-4ubuntu0.1 [61.9kB]
Get:30 http://jp.archive.ubuntu.com jaunty-updates/main
libmono2.0-cil 2.0.1-4ubuntu0.1 [68.8kB]
Get:31 http://jp.archive.ubuntu.com jaunty-updates/main
libmono-posix2.0-cil 2.0.1-4ubuntu0.1 [103kB]
Get:32 http://jp.archive.ubuntu.com jaunty-updates/main
libmono-sharpzip2.84-cil 2.0.1-4ubuntu0.1 [87.2kB]
Get:33 http://jp.archive.ubuntu.com jaunty-updates/main
libmono-system-data2.0-cil 2.0.1-4ubuntu0.1 [347kB]
Get:34 http://jp.archive.ubuntu.com jaunty-updates/main
libmono-sqlite2.0-cil 2.0.1-4ubuntu0.1 [95.8kB]
Get:35 http://jp.archive.ubuntu.com jaunty-updates/main
libmono-system-web2.0-cil 2.0.1-4ubuntu0.1 [1207kB]
Get:36 http://jp.archive.ubuntu.com jaunty-updates/main
libmono-getoptions2.0-cil 2.0.1-4ubuntu0.1 [49.6kB]
Get:37 http://jp.archive.ubuntu.com jaunty-updates/main
libmono-data2.0-cil 2.0.1-4ubuntu0.1 [116kB]
Get:38 http://jp.archive.ubuntu.com jaunty-updates/main
libmono-i18n2.0-cil 2.0.1-4ubuntu0.1 [409kB]
Get:39 http://jp.archive.ubuntu.com jaunty-updates/main
libvorbis0a 1.2.0.dfsg-3.1ubuntu0.9.04.1 [102kB]
Get:40 http://jp.archive.ubuntu.com jaunty-updates/main
libvorbisenc2 1.2.0.dfsg-3.1ubuntu0.9.04.1 [77.4kB]
Get:41 http://jp.archive.ubuntu.com jaunty-updates/main
libvorbisfile3 1.2.0.dfsg-3.1ubuntu0.9.04.1 [21.4kB]
Get:42 http://jp.archive.ubuntu.com jaunty-updates/main
linux-libc-dev 2.6.28-15.49 [764kB]
Get:43 http://jp.archive.ubuntu.com jaunty-updates/restricted
linux-restricted-modules-common 2.6.28-15.20 [11.4kB]
Get:44 http://jp.archive.ubuntu.com jaunty-updates/main
python-gobject 2.16.1-1ubuntu3 [318kB]
Fetched 48.6MB in 2min 7s (382kB/s)
Extracting templates from packages: 100%
Preconfiguring packages ...
(Reading database ... 164132 files and directories currently installed.)
Preparing to replace libgl1-mesa-dri 7.4-0ubuntu3.1
(using .../libgl1-mesa-dri_7.4-0ubuntu3.2_i386.deb) ...
Unpacking replacement libgl1-mesa-dri ...
Preparing to replace libgl1-mesa-glx 7.4-0ubuntu3.1
(using .../libgl1-mesa-glx_7.4-0ubuntu3.2_i386.deb) ...
Unpacking replacement libgl1-mesa-glx ...
Preparing to replace libplasma3 4:4.2.2-0ubuntu5
(using .../libplasma3_4%3a4.2.2-0ubuntu5.1_i386.deb) ...
Unpacking replacement libplasma3 ...
Preparing to replace kdelibs5-data 4:4.2.2-0ubuntu5
(using .../kdelibs5-data_4%3a4.2.2-0ubuntu5.1_all.deb) ...
Unpacking replacement kdelibs5-data ...
Preparing to replace kdelibs-bin 4:4.2.2-0ubuntu5
(using .../kdelibs-bin_4%3a4.2.2-0ubuntu5.1_i386.deb) ...
Unpacking replacement kdelibs-bin ...
Preparing to replace kdelibs5 4:4.2.2-0ubuntu5
(using .../kdelibs5_4%3a4.2.2-0ubuntu5.1_i386.deb) ...
Unpacking replacement kdelibs5 ...
Preparing to replace libglu1-mesa 7.4-0ubuntu3.1
(using .../libglu1-mesa_7.4-0ubuntu3.2_i386.deb) ...
Unpacking replacement libglu1-mesa ...
Preparing to replace mesa-utils 7.4-0ubuntu3.1
(using .../mesa-utils_7.4-0ubuntu3.2_i386.deb) ...
Unpacking replacement mesa-utils ...
Preparing to replace tzdata 2009j-0ubuntu0.9.04
(using .../tzdata_2009l-0ubuntu0.9.04_all.deb) ...
Unpacking replacement tzdata ...
Processing triggers for man-db ...
Processing triggers for shared-mime-info ...
Unknown media type in type 'all/all'

Unknown media type in type 'all/allfiles'

Unknown media type in type 'uri/mms'

Unknown media type in type 'uri/mmst'

Unknown media type in type 'uri/mmsu'

Unknown media type in type 'uri/pnm'

Unknown media type in type 'uri/rtspt'

Unknown media type in type 'uri/rtspu'

Unknown media type in type 'fonts/package'

Unknown media type in type 'interface/x-winamp-skin'

Setting up tzdata (2009l-0ubuntu0.9.04) ...

Current default timezone: 'Asia/Tokyo'
Local time is now: .
Universal Time is now: .
Run 'dpkg-reconfigure tzdata' if you wish to change it.



(Reading database ... 164132 files and directories currently installed.)
Preparing to replace libgnutls26 2.4.2-6
(using .../libgnutls26_2.4.2-6ubuntu0.1_i386.deb) ...
Unpacking replacement libgnutls26 ...
Preparing to replace app-install-data-partner 11.9.04.2
(using .../app-install-data-partner_11.9.04.4_all.deb) ...
Unpacking replacement app-install-data-partner ...
Preparing to replace kdelibs-data 4:3.5.10.dfsg.1-1ubuntu8
(using .../kdelibs-data_4%3a3.5.10.dfsg.1-1ubuntu8.1_all.deb) ...
Unpacking replacement kdelibs-data ...
Preparing to replace kdelibs4c2a 4:3.5.10.dfsg.1-1ubuntu8
(using .../kdelibs4c2a_4%3a3.5.10.dfsg.1-1ubuntu8.1_i386.deb) ...
Unpacking replacement kdelibs4c2a ...
Preparing to replace mono-runtime 2.0.1-4
(using .../mono-runtime_2.0.1-4ubuntu0.1_i386.deb) ...
Unpacking replacement mono-runtime ...
Preparing to replace mono-2.0-runtime 2.0.1-4
(using .../mono-2.0-runtime_2.0.1-4ubuntu0.1_i386.deb) ...
Unpacking replacement mono-2.0-runtime ...
Preparing to replace mono-jit 2.0.1-4
(using .../mono-jit_2.0.1-4ubuntu0.1_i386.deb) ...
Unpacking replacement mono-jit ...
Preparing to replace mono-common 2.0.1-4
(using .../mono-common_2.0.1-4ubuntu0.1_i386.deb) ...
Unpacking replacement mono-common ...
Preparing to replace libmono0 2.0.1-4
(using .../libmono0_2.0.1-4ubuntu0.1_i386.deb) ...
Unpacking replacement libmono0 ...
Preparing to replace libmono-system2.0-cil 2.0.1-4
(using .../libmono-system2.0-cil_2.0.1-4ubuntu0.1_all.deb) ...
Unpacking replacement libmono-system2.0-cil ...
Preparing to replace libmono-security2.0-cil 2.0.1-4
(using .../libmono-security2.0-cil_2.0.1-4ubuntu0.1_all.deb) ...
Unpacking replacement libmono-security2.0-cil ...
Preparing to replace mono-gac 2.0.1-4
(using .../mono-gac_2.0.1-4ubuntu0.1_all.deb) ...
Unpacking replacement mono-gac ...
Preparing to replace mono-2.0-gac 2.0.1-4
(using .../mono-2.0-gac_2.0.1-4ubuntu0.1_all.deb) ...
Unpacking replacement mono-2.0-gac ...
Preparing to replace libmono-corlib2.0-cil 2.0.1-4
(using .../libmono-corlib2.0-cil_2.0.1-4ubuntu0.1_all.deb) ...
Unpacking replacement libmono-corlib2.0-cil ...
Preparing to replace libmono-cairo2.0-cil 2.0.1-4
(using .../libmono-cairo2.0-cil_2.0.1-4ubuntu0.1_all.deb) ...
Unpacking replacement libmono-cairo2.0-cil ...
Preparing to replace libmono-data-tds2.0-cil 2.0.1-4
(using .../libmono-data-tds2.0-cil_2.0.1-4ubuntu0.1_all.deb) ...
Unpacking replacement libmono-data-tds2.0-cil ...
Preparing to replace libmono2.0-cil 2.0.1-4
(using .../libmono2.0-cil_2.0.1-4ubuntu0.1_all.deb) ...
Unpacking replacement libmono2.0-cil ...
Preparing to replace libmono-posix2.0-cil 2.0.1-4
(using .../libmono-posix2.0-cil_2.0.1-4ubuntu0.1_all.deb) ...
Unpacking replacement libmono-posix2.0-cil ...
Preparing to replace libmono-sharpzip2.84-cil 2.0.1-4
(using .../libmono-sharpzip2.84-cil_2.0.1-4ubuntu0.1_all.deb) ...
Unpacking replacement libmono-sharpzip2.84-cil ...
Preparing to replace libmono-system-data2.0-cil 2.0.1-4
(using .../libmono-system-data2.0-cil_2.0.1-4ubuntu0.1_all.deb) ...
Unpacking replacement libmono-system-data2.0-cil ...
Preparing to replace libmono-sqlite2.0-cil 2.0.1-4
(using .../libmono-sqlite2.0-cil_2.0.1-4ubuntu0.1_all.deb) ...
Unpacking replacement libmono-sqlite2.0-cil ...
Preparing to replace libmono-system-web2.0-cil 2.0.1-4
(using .../libmono-system-web2.0-cil_2.0.1-4ubuntu0.1_all.deb) ...
Unpacking replacement libmono-system-web2.0-cil ...
Preparing to replace libmono-getoptions2.0-cil 2.0.1-4
(using .../libmono-getoptions2.0-cil_2.0.1-4ubuntu0.1_all.deb) ...
Unpacking replacement libmono-getoptions2.0-cil ...
Preparing to replace libmono-data2.0-cil 2.0.1-4
(using .../libmono-data2.0-cil_2.0.1-4ubuntu0.1_all.deb) ...
Unpacking replacement libmono-data2.0-cil ...
Preparing to replace libmono-i18n2.0-cil 2.0.1-4
(using .../libmono-i18n2.0-cil_2.0.1-4ubuntu0.1_all.deb) ...
Unpacking replacement libmono-i18n2.0-cil ...
Preparing to replace libpurple-bin 1:2.5.5-1ubuntu9~ja4
(using .../libpurple-bin_1%3a2.5.5-1ubuntu9~ja5_all.deb) ...
Unpacking replacement libpurple-bin ...
Preparing to replace pidgin-data 1:2.5.5-1ubuntu9~ja4
(using .../pidgin-data_1%3a2.5.5-1ubuntu9~ja5_all.deb) ...
Unpacking replacement pidgin-data ...
Preparing to replace libpurple0 1:2.5.5-1ubuntu9~ja4
(using .../libpurple0_1%3a2.5.5-1ubuntu9~ja5_i386.deb) ...
Unpacking replacement libpurple0 ...
Preparing to replace libvorbis0a 1.2.0.dfsg-3.1
(using .../libvorbis0a_1.2.0.dfsg-3.1ubuntu0.9.04.1_i386.deb) ...
Unpacking replacement libvorbis0a ...
Preparing to replace libvorbisenc2 1.2.0.dfsg-3.1
(using .../libvorbisenc2_1.2.0.dfsg-3.1ubuntu0.9.04.1_i386.deb) ...
Unpacking replacement libvorbisenc2 ...
Preparing to replace libvorbisfile3 1.2.0.dfsg-3.1
(using .../libvorbisfile3_1.2.0.dfsg-3.1ubuntu0.9.04.1_i386.deb) ...
Unpacking replacement libvorbisfile3 ...
Preparing to replace linux-libc-dev 2.6.28-14.47
(using .../linux-libc-dev_2.6.28-15.49_i386.deb) ...
Unpacking replacement linux-libc-dev ...
Preparing to replace linux-restricted-modules-common 2.6.28-14.19
(using .../linux-restricted-modules-common_2.6.28-15.20_all.deb) ...
Unpacking replacement linux-restricted-modules-common ...
Preparing to replace pidgin 1:2.5.5-1ubuntu9~ja4
(using .../pidgin_1%3a2.5.5-1ubuntu9~ja5_i386.deb) ...
Unpacking replacement pidgin ...
Preparing to replace python-gobject 2.16.1-1ubuntu2
(using .../python-gobject_2.16.1-1ubuntu3_i386.deb) ...
Unpacking replacement python-gobject ...
Processing triggers for packagekit-backend-apt ...
Generating mime/codec maps...
Processing triggers for man-db ...
Processing triggers for python-support ...
Setting up libgl1-mesa-glx (7.4-0ubuntu3.2) ...

Setting up libgl1-mesa-dri (7.4-0ubuntu3.2) ...
Setting up kdelibs5-data (4:4.2.2-0ubuntu5.1) ...

Setting up libglu1-mesa (7.4-0ubuntu3.2) ...

Setting up mesa-utils (7.4-0ubuntu3.2) ...
Setting up libgnutls26 (2.4.2-6ubuntu0.1) ...

Setting up app-install-data-partner (11.9.04.4) ...
Caching application data...
Generating mime/codec maps...

Setting up kdelibs-data (4:3.5.10.dfsg.1-1ubuntu8.1) ...

Setting up kdelibs4c2a (4:3.5.10.dfsg.1-1ubuntu8.1) ...

Setting up mono-common (2.0.1-4ubuntu0.1) ...

Setting up mono-jit (2.0.1-4ubuntu0.1) ...

Setting up libmono-corlib2.0-cil (2.0.1-4ubuntu0.1) ...
Setting up libmono0 (2.0.1-4ubuntu0.1) ...

Setting up libmono-cairo2.0-cil (2.0.1-4ubuntu0.1) ...
Setting up libmono-i18n2.0-cil (2.0.1-4ubuntu0.1) ...
Setting up libpurple-bin (1:2.5.5-1ubuntu9~ja5) ...
Setting up pidgin-data (1:2.5.5-1ubuntu9~ja5) ...

Setting up libpurple0 (1:2.5.5-1ubuntu9~ja5) ...

Setting up libvorbis0a (1.2.0.dfsg-3.1ubuntu0.9.04.1) ...

Setting up libvorbisenc2 (1.2.0.dfsg-3.1ubuntu0.9.04.1) ...

Setting up libvorbisfile3 (1.2.0.dfsg-3.1ubuntu0.9.04.1) ...

Setting up linux-libc-dev (2.6.28-15.49) ...
Setting up linux-restricted-modules-common (2.6.28-15.20) ...
update-rc.d: warning: /etc/init.d/linux-restricted-modules-common
missing LSB information
update-rc.d: see <http://wiki.debian.org/LSBInitScripts>

Setting up pidgin (1:2.5.5-1ubuntu9~ja5) ...

Setting up python-gobject (2.16.1-1ubuntu3) ...

Setting up mono-2.0-runtime (2.0.1-4ubuntu0.1) ...
Setting up mono-runtime (2.0.1-4ubuntu0.1) ...
Setting up libmono-system2.0-cil (2.0.1-4ubuntu0.1) ...
Setting up libmono-security2.0-cil (2.0.1-4ubuntu0.1) ...
Setting up mono-2.0-gac (2.0.1-4ubuntu0.1) ...
Setting up mono-gac (2.0.1-4ubuntu0.1) ...
* Installing 1 assembly from libevolution5.0-cil into Mono
* Installing 1 assembly from libflickrnet2.1.5-cil into Mono
* Installing 1 assembly from libgmime2.2a-cil into Mono
* Installing 1 assembly from libgnome-keyring1.0-cil into Mono
* Installing 3 assemblies from libmono-addins-gui0.2-cil into Mono
* Installing 7 assemblies from libmono-addins0.2-cil into Mono
* Installing 1 assembly from libndesk-dbus-glib1.0-cil into Mono
* Installing 1 assembly from libndesk-dbus1.0-cil into Mono
* Installing 1 assembly from libnotify0.4-cil into Mono
* Installing 1 assembly from policy.2.1.FlickrNet into Mono

Setting up libmono-data-tds2.0-cil (2.0.1-4ubuntu0.1) ...
Setting up libmono-posix2.0-cil (2.0.1-4ubuntu0.1) ...
Setting up libmono-sharpzip2.84-cil (2.0.1-4ubuntu0.1) ...
Setting up libmono-system-data2.0-cil (2.0.1-4ubuntu0.1) ...
Setting up libmono-sqlite2.0-cil (2.0.1-4ubuntu0.1) ...
Setting up libmono-getoptions2.0-cil (2.0.1-4ubuntu0.1) ...
Setting up libmono-data2.0-cil (2.0.1-4ubuntu0.1) ...
Setting up libmono2.0-cil (2.0.1-4ubuntu0.1) ...
Setting up libmono-system-web2.0-cil (2.0.1-4ubuntu0.1) ...
Setting up kdelibs-bin (4:4.2.2-0ubuntu5.1) ...
Setting up kdelibs5 (4:4.2.2-0ubuntu5.1) ...

Setting up libplasma3 (4:4.2.2-0ubuntu5.1) ...

Processing triggers for libc6 ...
ldconfig deferred processing now taking place
Processing triggers for python-support ...


44のパッケージがアップグレードされたそうで。。。
ログを見ていると、大きなエラーは発生してませんが、メディアタイプがない、とか言ってますね。。。

本来なら、44のパッケージがアップグレードされたので、関わるアプリケーションの動作確認の必要があります。
また、エラーが発生したら、原因調査、対応も必要があります。

関わるパッケージの調査、動作確認だけで莫大な工数がかかります。
なので、OS のアップグレードはなめてかからず、気合を入れて取り組みましょうww

。。。ただいま、アップグレード後の動作確認中。。。非常にめんどくさい。。。><;

【dpkg-reconfigure】
Ubuntu (Debian)のパッケージは debconf という設定インターフェイスを利用しています。
この debconf のおかげで、設定が必要な場合、インストール時にダイアログを表示し、ユーザに設定を促してくれます。
また、インストール後に再度設定をし直すことができ、非常に便利です。

今回、「Run 'dpkg-reconfigure tzdata' if you wish to change it.」というメッセージが表示されています。
これは、「タイムゾーンを 'Asia/Tokyo' に設定したんだけど、変えたかったら”dpkg-reconfigure tzdata ”で変えてね~w」という意味のメッセージです。

つまり、インストール時の「tzdata」パッケージのタイムゾーンは「東京」ですが、インストール後に「アメリカ」なんかに変えることもできるわけです。
このように、「dpkg-reconfigure <パッケージ名>」、「dpkg-reconfigure -plow <パッケージ名>」(「-plow」はpriority を low (質問レベルを低)にするオプション)でインストールしたパッケージの設定をインストール後に変更できます。

「インストールの時に、設定間違えた。。。どうしよう??」って時に活躍してくれますww
(このコマンド、できればやっかいになりたくないのですけどね。。。)

Debian 系は久しぶりなので、「dpkg-reconfigure」も久しぶりに見たかもww
何か、うれしかったりしますww


コメント
この記事へのコメント
URL :
コメント :
パスワード :
管理者にだけ表示を許可する
 
トラックバック
この記事のトラックバックURL
Template designed by アクセラと+αな生活

Powered by .
上記広告は1ヶ月以上更新のないブログに表示されています。新しい記事を書くことで広告を消せます。